Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Interface DatabasePersistencePlugin

All Known Implementing Classes:
  GeneralPurposeDatabasePersistencePlugin

public interface DatabasePersistencePlugin

An implementation of of this interface provides database specific JDBC access that is not portable accros RDBMS systems.

Since:
  23-Sep-2004
Author:
  Thomas.Diesler@jboss.org

Method Summary
`void` | `clearTimers()` Clear all persisted timers
`void` | `createTableIfNotExists()` Create the timers table if it does not exist already
`void` | `deleteTimer(String timerId, TimedObjectId timedObjectId)` Delete a timer.
`String` | `getColumnInfo()` Get the info column name
`String` | `getColumnInitialDate()` Get the initial date column name
`String` | `getColumnInstancePK()` Get the instance PK column name
`String` | `getColumnTargetID()` Get the target ID column name
`String` | `getColumnTimerID()` Get the timer ID column name
`String` | `getColumnTimerInterval()` Get the timer interval column name
`String` | `getTableName()` Get the timer table name
`void` | `init(javax.management.MBeanServer server, javax.management.ObjectName dataSource)` Initialize the plugin
`void` | `insertTimer(String timerId, TimedObjectId timedObjectId, Date initialExpiration, long intervalDuration, Serializable info)` Insert a timer object
`List` | `selectTimers()` Select a list of currently persisted timer handles

Method Detail

### init

    public void init(javax.management.MBeanServer server,
                     javax.management.ObjectName dataSource)
              throws SQLException

  Initialize the plugin

  Throws:
    `SQLException`

### createTableIfNotExists

    public void createTableIfNotExists()
                                throws SQLException

  Create the timers table if it does not exist already

  Throws:
    `SQLException`

### insertTimer

    public void insertTimer(String timerId,
                            TimedObjectId timedObjectId,
                            Date initialExpiration,
                            long intervalDuration,
                            Serializable info)
                     throws SQLException

  Insert a timer object

  Throws:
    `SQLException`

### selectTimers

    public List selectTimers()
                      throws SQLException

  Select a list of currently persisted timer handles

  Returns:
    List
  Throws:
    `SQLException`

### deleteTimer

    public void deleteTimer(String timerId,
                            TimedObjectId timedObjectId)
                     throws SQLException

  Delete a timer.

  Throws:
    `SQLException`

### clearTimers

    public void clearTimers()
                     throws SQLException

  Clear all persisted timers

  Throws:
    `SQLException`

### getTableName

    public String getTableName()

  Get the timer table name

### getColumnTimerID

    public String getColumnTimerID()

  Get the timer ID column name

### getColumnTargetID

    public String getColumnTargetID()

  Get the target ID column name

### getColumnInitialDate

    public String getColumnInitialDate()

  Get the initial date column name

### getColumnTimerInterval

    public String getColumnTimerInterval()

  Get the timer interval column name

### getColumnInstancePK

    public String getColumnInstancePK()

  Get the instance PK column name

### getColumnInfo

    public String getColumnInfo()

  Get the info column name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.